跳转到内容
Ask AI

VXLAN-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/clear-vxlan-counters——Y
/show-vxlan-counters——Y
/show-vxlan-interface——Y
/show-vxlan-remote-mac——Y
/show-vxlan-remote-vni——Y
/show-vxlan-remote-vtep——Y
/show-vxlan-tunnel——Y
/show-vxlan-vlan-vni-map——Y
/show-vxlan-vrf-vni-map——Y
/vxlanYmerge—
vxlan/local-vtep/{id}Ymerge, replace, create, delete—
vxlan/map/{vni}Yreplace, create, delete—
vxlan/remote-vtep/{vni}/{ip}Ymerge, replace, create, delete—

This chapter provides examples on how to use Netconf to manage VXLAN configurations on AsterNOS devices.

Request example to get all VXLAN configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<vxlan/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<vxlan xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
<local-vtep>
<id>0</id>
<ip>10.1.1.1</ip>
</local-vtep>
<remote-vtep>
<vni>100</vni>
<ip>192.0.2.1</ip>
<router-mac>00:11:22:33:44:55</router-mac>
<local-vtep-id>0</local-vtep-id>
</remote-vtep>
<map>
<vni>100</vni>
<vtep-id>0</vtep-id>
<map-type>l2</map-type>
<vlan-id>100</vlan-id>
</map>
</vxlan>
</top>
</data>

Request example to create a VXLAN local VTEP via edit-config.

<config>
<top>
<vxlan>
<local-vtep operation="create">
<id>0</id>
<ip>10.1.1.1</ip>
</local-vtep>
</vxlan>
</top>
</config>

Request example to merge a VXLAN local VTEP via edit-config.

<config>
<top>
<vxlan>
<local-vtep operation="merge">
<id>0</id>
<ip>10.2.2.2</ip>
</local-vtep>
</vxlan>
</top>
</config>

Request example to delete a VXLAN local VTEP via edit-config.

<config>
<top>
<vxlan>
<local-vtep operation="delete">
<id>0</id>
</local-vtep>
</vxlan>
</top>
</config>

Request example to create a VXLAN remote VTEP via edit-config.

<config>
<top>
<vxlan>
<remote-vtep operation="create">
<vni>100</vni>
<ip>192.0.2.1</ip>
<router-mac>00:11:22:33:44:55</router-mac>
<local-vtep-id>0</local-vtep-id>
</remote-vtep>
</vxlan>
</top>
</config>

Request example to merge a VXLAN remote VTEP via edit-config.

<config>
<top>
<vxlan>
<remote-vtep operation="merge">
<vni>100</vni>
<ip>192.0.2.2</ip>
<router-mac>00:11:22:33:55:66</router-mac>
</remote-vtep>
</vxlan>
</top>
</config>

Request example to delete a VXLAN remote VTEP via edit-config.

<config>
<top>
<vxlan>
<remote-vtep operation="create">
<vni>100</vni>
<ip>192.0.2.1</ip>
</remote-vtep>
</vxlan>
</top>
</config>

Request example to create a VXLAN map via edit-config.

<config>
<top>
<vxlan>
<map operation="create">
<vni>100</vni>
<vtep-id>0</vtep-id>
<map-type>l2</map-type>
<vlan-id>100</vlan-id>
</map>
</vxlan>
</top>
</config>

Request example to merge a VXLAN map via edit-config.

<config>
<top>
<vxlan>
<map operation="merge">
<vni>100</vni>
<vlan-id>200</vlan-id>
</map>
</vxlan>
</top>
</config>

Request example to delete a VXLAN map via edit-config.

<config>
<top>
<vxlan>
<map operation="delete">
<vni>100</vni>
</map>
</vxlan>
</top>
</config>

For detailed fields and YANG definitions, please refer to yang/asternos-vxlan.yang.


Retrieve information about all established VXLAN tunnels using the show-vxlan-tunnel RPC.

<show-vxlan-tunnel xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="1">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
Vxlan tunnel information
Remote IP: 192.0.2.1 VNI: 100
Remote IP: 192.0.2.2 VNI: 200
</data>
</rpc-reply>

Display local VTEP (VXLAN Tunnel Endpoint) information using the show-vxlan-interface RPC.

<show-vxlan-interface xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="2">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
Vxlan interface information
VTEP IP: 10.1.1.1 State: up
</data>
</rpc-reply>

Display per-VXLAN-interface packet and byte counters using the show-vxlan-counters RPC.

<show-vxlan-counters xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="3">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
<data>
<name>Vxlan100</name>
<rx-pkts>15234</rx-pkts>
<rx-bytes>12567890</rx-bytes>
<rx-pps>120</rx-pps>
<tx-pkts>8901</tx-pkts>
<tx-bytes>7345621</tx-bytes>
<tx-pps>85</tx-pps>
</data>
<data>
<name>Vxlan200</name>
<rx-pkts>4231</rx-pkts>
<rx-bytes>3456789</rx-bytes>
<rx-pps>45</rx-pps>
<tx-pkts>2100</tx-pkts>
<tx-bytes>1876543</tx-bytes>
<tx-pps>30</tx-pps>
</data>
</data>
</rpc-reply>

Reset all VXLAN tunnel counters to zero using the clear-vxlan-counters RPC.

<clear-vxlan-counters xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="4">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>
</rpc-reply>

Example 1: Show all remote MACs

<show-vxlan-remote-mac xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Example 2: Show remote MACs from a specific VTEP

<show-vxlan-remote-mac xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
<remote-vtep-ip>192.0.2.1</remote-vtep-ip>
</show-vxlan-remote-mac>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="5">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
Number of Remote MACs: 2
MAC: 00:11:22:33:44:55 VNI: 100 Remote VTEP: 192.0.2.1 Type: dynamic
MAC: 00:11:22:33:44:66 VNI: 100 Remote VTEP: 192.0.2.1 Type: static
</data>
</rpc-reply>

Display VLANs extended to a specific remote VTEP using the show-vxlan-remote-vni RPC.

Example 1: Show all remote VNIs

<show-vxlan-remote-vni xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Example 2: Show remote VNIs from a specific VTEP

<show-vxlan-remote-vni xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
<remote-vtep-ip>192.0.2.1</remote-vtep-ip>
</show-vxlan-remote-vni>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="6">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
VNI: 100 Type: l2 Remote VTEP: 192.0.2.1
VNI: 200 Type: l3 Remote VTEP: 192.0.2.2
</data>
</rpc-reply>

Display information about all remote VTEPs using the show-vxlan-remote-vtep RPC.

<show-vxlan-remote-vtep xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
Remote VTEP: 192.0.2.1 State: up
Remote VTEP: 192.0.2.2 State: up
</data>
</rpc-reply>

Display the VLAN-to-VNI mapping table using the show-vxlan-vlan-vni-map RPC.

<show-vxlan-vlan-vni-map xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="8">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
VLAN-VNI Mapping
VLAN: 100 VNI: 100 Type: l2
VLAN: 200 VNI: 200 Type: l2
</data>
</rpc-reply>

Display the VRF-to-VNI mapping table using the show-vxlan-vrf-vni-map RPC.

<show-vxlan-vrf-vni-map xmlns="http://asterfusion.com/ns/yang/asternos-vxlan"/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="9">
<data xmlns="http://asterfusion.com/ns/yang/asternos-vxlan">
VRF-VNI Mapping
VRF: VrfBLUE VNI: 200 Type: l3
VRF: VrfRED VNI: 300 Type: l3
</data>
</rpc-reply>

Tree Diagram

module: asternos-vxlan
+--rw vxlan
+--rw local-vtep* [id]
| +--rw id uint32
| +--rw ip inet:ipv4-address-no-zone
+--rw remote-vtep* [vni ip]
| +--rw vni uint32
| +--rw ip inet:ipv4-address-no-zone
| +--rw router-mac? yang:mac-address
| +--ro local-vtep-id? -> /vxlan/local-vtep/id
+--rw map* [vni]
+--rw vni uint32
+--rw vtep-id? -> /vxlan/local-vtep/id
+--rw map-type enumeration
+--rw vlan-id cmn:vlan-id
+--rw vrf vrf:vrf-ref

Table of Properties

NameRequiredType/RangeDescription
vxlanMPath-only node, has no configurable value.
Configuration for the VXLAN
local-vtepMPath-only node, has no configurable value.
List of Multi-vtep that is supported for VXLAN
idO0ID of local VTEP
ipMinet:ipv4-address-no-zoneLocal IP of tunnel, generally the IP address of the loopback interface.
remote-vtepMPath-only node, has no configurable value.
List of VXLAN tunnel
vniO1..16777215VNI of VXLAN tunnel
ipOinet:ipv4-address-no-zoneRemote VTEP IP. Including unicast IP addresses and multicast IP addresses.

Unicast IP address for static VXLAN tunnel, Multicast IP address for BUM VXLAN tunnel
router-macOyang:mac-addressRouter-mac of remote VTEP for L3 VXLAN tunnel
local-vtep-idRO→ leafrefLeaf that help to config
Default value: 0
mapMPath-only node, has no configurable value.
List of VXLAN map
vniO1..16777215VNI of VXLAN map
vtep-idO→ leafrefID of the VXLAN tunnel
Default value: 0
map-typeM”l2"
"l3”
VXLAN map type choice
vlan-idMcmn:vlan-idVLAN id of l2 map
vrfMvrf:vrf-refVRF name of l3 map

List of Multi-vtep that is supported for VXLAN

Section titled “List of Multi-vtep that is supported for VXLAN”

Tree Diagram

module: asternos-vxlan
+--rw vxlan
+--rw local-vtep* [id]
+--rw id uint32
+--rw ip inet:ipv4-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
local-vtepMPath-only node, has no configurable value.
List of Multi-vtep that is supported for VXLAN
idO0ID of local VTEP
ipMinet:ipv4-address-no-zoneLocal IP of tunnel, generally the IP address of the loopback interface.

Tree Diagram

module: asternos-vxlan
+--rw vxlan
+--rw map* [vni]
+--rw vni uint32
+--rw vtep-id? -> /vxlan/local-vtep/id
+--rw map-type enumeration
+--rw vlan-id cmn:vlan-id
+--rw vrf vrf:vrf-ref

Table of Properties

NameRequiredType/RangeDescription
mapMPath-only node, has no configurable value.
List of VXLAN map
vniO1..16777215VNI of VXLAN map
vtep-idO→ leafrefID of the VXLAN tunnel
Default value: 0
map-typeM”l2"
"l3”
VXLAN map type choice
vlan-idMcmn:vlan-idVLAN id of l2 map
vrfMvrf:vrf-refVRF name of l3 map

Tree Diagram

module: asternos-vxlan
+--rw vxlan
+--rw remote-vtep* [vni ip]
+--rw vni uint32
+--rw ip inet:ipv4-address-no-zone
+--rw router-mac? yang:mac-address
+--ro local-vtep-id? -> /vxlan/local-vtep/id

Table of Properties

NameRequiredType/RangeDescription
remote-vtepMPath-only node, has no configurable value.
List of VXLAN tunnel
vniO1..16777215VNI of VXLAN tunnel
ipOinet:ipv4-address-no-zoneRemote VTEP IP. Including unicast IP addresses and multicast IP addresses.

Unicast IP address for static VXLAN tunnel, Multicast IP address for BUM VXLAN tunnel
router-macOyang:mac-addressRouter-mac of remote VTEP for L3 VXLAN tunnel
local-vtep-idRO→ leafrefLeaf that help to config
Default value: 0

Tree Diagram

module: asternos-vxlan
rpcs:
+---x clear-vxlan-counters
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
clear-vxlan-countersO
dataOResult Information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-counters
+--ro output
+--ro data* [name]
+--ro name string
+--ro rx-pkts? string
+--ro rx-pps? string
+--ro tx-pkts? string
+--ro tx-pps? string

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-countersO
dataMPath-only node, has no configurable value.
List of VXLAN tunnel counters.
nameOstringVXLAN Interface name.
rx-pktsOstringNumber of received packets.
rx-ppsOstringNumber of received packets per second.
tx-pktsOstringNumber of transmitted packets.
tx-ppsOstringNumber of transmitted packets per second.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-interface
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-interfaceO
dataOVTEP Information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-remote-mac
+---w input
| +---w remote-vtep-ip? inet:ipv4-address-no-zone
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-remote-macO
remote-vtep-ipOinet:ipv4-address-no-zoneRemote VTEP IP address.
dataOMACs pointing to the remote VTEP information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-remote-vni
+---w input
| +---w remote-vtep-ip? inet:ipv4-address-no-zone
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-remote-vniO
remote-vtep-ipOinet:ipv4-address-no-zoneRemote VTEP IP address.
dataOVlans extended to the remote VTEP information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-remote-vtep
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-remote-vtepO
dataORemote VTEP Information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-tunnel
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-tunnelO
dataOVXLAN tunnels information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-vlan-vni-map
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-vlan-vni-mapO
dataOVLAN VNI Mapping Information.

Tree Diagram

module: asternos-vxlan
rpcs:
+---x show-vxlan-vrf-vni-map
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-vxlan-vrf-vni-mapO
dataOVRF VNI Mapping Information.